import * as prompts from "@clack/prompts";
import { filterPromptCancel } from "../prompts.js";
async function getPrefillOrPromptedOption({
  auto,
  getDefaultValue,
  message,
  name,
  provided
}) {
  if (provided) {
    return { value: provided };
  }
  const defaultValue = await getDefaultValue?.();
  if (auto) {
    return {
      error: defaultValue ? void 0 : `Could not infer a default value for ${name}.`,
      value: defaultValue
    };
  }
  return {
    value: filterPromptCancel(
      await prompts.text({
        message,
        placeholder: defaultValue,
        validate: (val) => {
          if (val.length === 0) {
            return "Please enter a value.";
          }
        }
      })
    )
  };
}
export {
  getPrefillOrPromptedOption
};
//# sourceMappingURL=getPrefillOrPromptedOption.js.map