import { $ } from "execa";
import * as fs from "node:fs/promises";
import { readFileSafeAsJson } from "../shared/readFileSafeAsJson.js";
import { formatJson } from "./writing/creation/formatters/formatJson.js";
async function updateAllContributorsTable({
  owner,
  repository
}) {
  await fs.writeFile(
    ".all-contributorsrc",
    await formatJson({
      ...await readFileSafeAsJson(
        ".all-contributorsrc"
      ),
      projectName: repository,
      projectOwner: owner
    })
  );
  await $`npx -y all-contributors-cli generate`;
}
export {
  updateAllContributorsTable
};
//# sourceMappingURL=updateAllContributorsTable.js.map